List 10DLC campaign registrations for this project.
curl --request GET \
--url https://api.zavu.dev/v1/10dlc/campaigns \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter campaigns by brand ID.
x <= 100curl --request GET \
--url https://api.zavu.dev/v1/10dlc/campaigns \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}